#include "mouse.h"
#include "mini/view/view.h"

#include "backends/backend.h"

namespace mini
{
    namespace mouse
    {
        int posx() {
            return backend::input::mouse::posx();
        }

        int posy() {
            return backend::input::mouse::posy();
        }

        int wheel() {
            return backend::input::mouse::wheel();
        }

        bool down(uint8_t i) {
            return backend::input::mouse::down(i);
        }

        bool press(uint8_t i) {
            return backend::input::mouse::press(i);
        }

        bool dblclick() {
            return backend::input::mouse::dblclick();
        }

        void discard() {
            backend::input::mouse::discard();
        }

        bool inside(int x, int y, int w, int h) {
            return backend::input::mouse::inside(x,y,w,h);
        }
    }
}
